Summary: A Jack based mixer application
Name: jackmix
Version: 0.4
Release: 3%{?dist}
License: GPLv2
Group: Applications/Multimedia
URL: http://www.arnoldarts.de/drupal/?q=JackMix%3Aintro
Source0: http://www.arnoldarts.de/drupal/files/downloads/jackmix/jackmix-%{version}.tar.gz
Source1: jackmix.desktop
Source2: jackmix.png
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

BuildRequires: desktop-file-utils scons pkgconfig
BuildRequires: libjpeg-devel libpng-devel zlib-devel
BuildRequires: jack-audio-connection-kit-devel lash-devel
%if 0%{?fedora} >= 9
BuildRequires: qt-devel
%else
BuildRequires: qt4-devel
%endif
%if 0%{?fedora} >= 21
BuildRequires: libjpeg-turbo-devel
%else
BuildRequires: libjpeg-devel
%endif
%if 0%{?fedora} >= 5 || 0%{?rhel} >= 5
BuildRequires: libX11-devel
%else
BuildRequires: XFree86-devel
%endif

%description
Jackmix is a mixer app for jack that looks exactly like the mixer you
would use if you had to connect your analog equipment.

%prep
%setup -q

sed -i -e's,"-fpic",["-fpic"],g' SConstruct

%build
%{__rm} -rf %{buildroot}
if [ -z "${QTDIR}" ] ; then
%if 0%{?rhel} == 5
    export QTDIR=`pkg-config --variable=prefix QtCore`
%else
    export QTDIR=`pkg-config --variable=prefix Qt`
%endif
    export PATH=${QTDIR}/bin:${PATH}
fi
scons

%install
%{__rm} -rf %{buildroot}
# install manually, install target in 0.4 does not work
%{__mkdir} -p %{buildroot}%{_bindir}
%{__mkdir} -p %{buildroot}%{_datadir}/pixmaps
%{__install} -m 0755 jackmix/jackmix %{buildroot}%{_bindir}/
%{__install} -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps

BASE="Applications AudioVideo Audio"
XTRA="X-Jack X-Digital_Processing"

%{__mkdir} -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor "" \
  --dir %{buildroot}%{_datadir}/applications    \
  `for c in ${BASE} ${XTRA} ; do echo "--add-category $c " ; done` \
  %{SOURCE1}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO VERSION
%{_bindir}/*
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Sun Dec 12 2010 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4-3
- build for Fedora 14

* Fri Dec 10 2010 Paulo Roma <roma@lcg.ufrj.br> 0.4-2
- Added desktop icon.
- Fixed SCOnstruct.
- Added documentation.

* Thu Sep 24 2009 David Cornette <rpm@davidcornette.com>
- updated for Fedora 11

* Thu Jul 10 2008 Arnaud Gomes-do-Vale <Arnaud.Gomes@ircam.fr>
- built on CentOS 5

* Tue Jun 17 2008 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- updated qt build dependencies for fc9

* Wed Nov 14 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4-1
- updated to version 0.4
- updated desktop categories
- added lash-devel build requirement
- install binary manually, scons install target does not work

* Tue Jun 19 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.1-1
- updated to version 0.3.1
- needs qt4, changed to use scons

* Wed Dec  6 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.3-2
- spec file tweaks, build for fc6

* Sat May 13 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.3-2
- added Planet CCRMA categories to desktop entry, more spec file cleanups

* Fri Mar 31 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- proper build dependencies for fc5

* Wed Dec 29 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- spec file cleanup

* Tue Jul 20 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.3-1
- initial build
